// Курсор

.cursor {
  position: fixed;
  background: #1378EF;
  width: 10px;
  height: 10px;
  border-radius: 100%;
  user-select: none;
  pointer-events: none;
  z-index: 999999;
  transform: scale(1);
  transition: 0.3s cubic-bezier(0.75, -1.27, 0.3, 2.33) transform;

  &.active {
    transform: scale(0);
  }

}

.follower {
  position: fixed;
  width: 30px;
  height: 30px;
  border: 1px solid #1378EF;
  border-radius: 100%;
  pointer-events: none;
  user-select: none;
  z-index: 9999;
  transition: 0.6s cubic-bezier(0.75, -1.27, 0.3, 2.33) transform, 0.2s cubic-bezier(0.75, -0.27, 0.3, 1.33) background;
  transform: translate(2px, 2px);

  &.active {
    transform: scale(2);
    background: #1378EF;
    z-index: 0;
  }
}

// Навигация

nav {
  overflow: hidden;
  &.fixed_nav {
    background: green;
    position: fixed;
    left: 0;
    right: 0;
    z-index: 111;
  }
}

.navbar {
  display: flex;
  width: 100%;
  justify-content: space-between;
  padding-top: 15px;
  padding-bottom: 15px;
  align-items: center;
  padding-top: 30px;

  @media (max-width: 725px) {
    flex-direction: column;

    .logo {
      margin-bottom: 40px;
    }
  }

  .menu {
    display: block;

    @media (max-width: 500px) {

      .menu_list {
        display: flex;
        flex-direction: column;
        text-align: center;
        padding: 0;
        margin: 0;

        .menu_list-item{
          padding-bottom: 30px;
          margin: 0 0 20px 0;
          background: #FFFFFF;
          border-radius: 64px;
          padding: 2px 16px;

          &::after {
            content: none;
          }

          a {
          font-family: 'Montserrat';
          font-weight: 400;
          font-size: 21px;
          line-height: 150%;
          color: Black;
          }
        }
      }
    }
  }

  .logo {
    z-index: 1;
  }

  .menu_list {
    display: flex;
    z-index: 1;
    list-style: none;

    &-item {
      position: relative;

      &:hover {

        &:after {
          width: 100%;
          transition: 0.5s;
        }
      }

      &:after {
        content: '';
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
        width: 0;
        height: 1px;
        background: white;
      }
    }

    a {
      font-weight: 400;
      font-size: 16px;
      line-height: 150%;
      color: #FFFFFF;
      text-decoration: none;
    }

    li:not(:last-child) {
      margin-right: 50px;
    }
  }

  @media (max-width: 500px) {
    display: none;
  }
}

// Overlay - полоски на всем body, кроме footer

// Header

header {

  @media (max-width: 500px) {
    display: flex;
    flex-direction: column-reverse;
  }

  .header {
    display: flex;
    justify-content: space-between;

    @media (max-width: 992px) {
      flex-wrap: wrap-reverse;
    }

    &_item {
      flex: 0 0 50%;

      @media (max-width: 992px) {
        flex: 0 0 100%;
      }

      &.canvas_item {
        display: flex;
        justify-content: center;
        align-items: center;

        img {
          width: 50%;
        }

        @media (max-width: 992px) {
          margin-top: 25px;
        }

        @media (max-width: 768px) {
          canvas {
            width: 450px;
            height: 450px;
          }
        }

        @media (max-width: 500px) {
          canvas {
            width: 350px;
            height: 350px;
          }
        }

        @media (max-width: 400px) {
          canvas {
            width: 300px;
            height: 300px;
          }
        }

      }

      .title {
        padding-top: 150px;
        font-weight: 700;
        font-size: 78px;
        line-height: 116%;
        color: #FFFFFF;

        @media (max-width: 992px) {
          padding-top: 25px;
          text-align: center;
          font-size: 62px;
        }

        @media (max-width: 768px) {
          font-size: 36px;
          line-height: 42px;
        }
      }

      .subtitle {
        margin-top: 25px;
        font-weight: 400;
        font-size: 30px;
        line-height: 137%;
        color: #FFFFFF;

        @media (max-width: 992px) {
          font-size: 26px;
          text-align: center;
        }

        @media (max-width: 768px) {
          margin-top: 22px;
          line-height: 32px;
        }
      }

      .info {
        display: flex;
        flex-wrap: wrap;
        margin-top: 30px;
        column-gap: 20px;
        max-width: 411px;
        width: 100%;

        @media (max-width: 992px) {
          max-width: 100%;
          justify-content: center;
        }

        @media (max-width: 768px) {
          margin-top: 0px;
        }

        &_item {
          margin-top: 20px;
          font-weight: 400;
          font-size: 21px;
          line-height: 150%;
          color: #FFFFFF;
          background: #1378EF;
          border-radius: 64px;
          padding: 2px 16px;
        }
      }
    }
  }
}

// Main

.section_subtitle {
  font-weight: 400;
  font-size: 20px;
  line-height: 170%;
  color: #FFFFFF;
}

.section_title {
  font-weight: 700;
  font-size: 46px;
  line-height: 55px;
  color: #FFFFFF;
  margin-top: 15px;

  @media (max-width: 768px) {
    font-size: 36px;
    line-height: 40px;
  }

  @media (max-width: 500px) {
    font-size: 28px;
    line-height: 30px;
  }
}

.section_about {
  .about {
    display: flex;
    flex-wrap: wrap;
    justify-content: start;

    &_item {
      flex: 0 0 50%;
      margin-top: 5px;

      @media (max-width: 700px) {
        flex: 0 0 100%;
        margin-top: 25px;
      }

      .about_num {
        font-weight: 700;
        font-size: 32px;
        line-height: 170%;
        color: #FFFFFF;
        position: relative;

        @media (max-width: 500px) {
          font-size: 28px;
          line-height: 30px;
        }


        &:after {
          content: '';
          position: absolute;
          bottom: 0;
          left: 0;
          width: 200px;
          height: 1px;
          background: white;

          @media (max-width: 700px) {
            width: 100%;
          }

          @media (max-width: 500px) {
            bottom: -5px;
          }
        }
      }

      .about_text {
        font-weight: 400;
        font-size: 16px;
        line-height: 170%;
        color: #FFFFFF;
        margin-top: 20px;
        letter-spacing: 1px;

        a {
          color: yellow;
          font-size: 20px;
        }
      }
    }
  }
  .technology {
    margin-top: 40px;

    .about_item {
      flex: 0 0 100%;

      .about_text {
        font-size: 18px;
        line-height: 190%;
        letter-spacing: 1px;
        width: 100%;

        @media (max-width: 700px) {
          width: 100%;
        }
      }
    }
  }
}

.section_projects {
  .slider-wrapper {
    margin-bottom: 50px;

    .one-time {
      .slide {
        width: 100%;
        max-height: 690px;
        margin: 0 auto;
        position: relative;

        img {
          width: 100%;
        }

        .slider-title {
          position: absolute;
          margin: 0;
          top: 0;
          text-align: center;
          width: 100%;
          font-weight: 400;
          font-size: 21px;
          line-height: 150%;
          color: #FFFFFF;
          background: #1378EF;
          padding: 10px 0;

          a {
            color: #FFFFFF;
          }

          @media (max-width: 992px) {
            position: relative;
            font-weight: 400;
            font-size: 16px;
          }
        }
      }
    }
  }

  .accordion-wrapper {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

    .accordion {
      width: 100%;
      display: flex;
      flex-direction: column;
      align-items: center;

      .button {
        color: #FFFFFF;
        text-align: center;
        font-size: 30px;
        padding: 16px;
        width: 100%;
        box-sizing: border-box;
        position: relative;

          &:hover {
            &:after {
              width: 100%;
            }
          }

          &:after{
            content: '';
            position: absolute;
            left: 0;
            right: 0;
            bottom: 0;
            width: 0;
            height: 1px;
            background: white;
            transition: all 0.5s ease;

          }

          .projects-list {
            ul {
              padding: 20px;
            }
          }
      }

      .content {
        border-radius: 30px;
        margin-top: 20px;
        background: white;
        opacity: 0.8;
        color: black;
        overflow: hidden;
        max-height: 0;
        box-sizing: border-box;
        text-align: center;

        .inner {
          padding: 20px;

          .projects-list {
            ul {
              padding: 20px;

              li {
                padding-bottom: 20px;

                a {
                  font-weight: bold;
                  color:#1b1b1b;


                  &:hover {
                    color: #1378EF;
                  }
                }
              }
            }
          }
        }
      }

      #state:checked ~ .content {
        max-height: 100%;
        font-size: 25px;
        line-height: 25px;
        transition: all 0.2s ease;
      }
    }
  }
}

.section_contact {
  margin-top: 250px;

  .contact {
    max-width: 668px;
    width: 100%;
    margin: 0 auto;

    .contact_btn {
      width: 260px;
      height: 260px;
      margin: 0 auto;
      margin-top: -160px;
      font-style: normal;
      font-weight: 700;
      font-size: 26px;
      line-height: 55px;
      text-align: center;
      color: #FFFFFF;
      background: #1378EF;
      display: flex;
      justify-content: center;
      align-items: center;
      border-radius: 100%;
      transition: 0.2s ease;

      &:hover {
        -webkit-transform: scale(1.2);
        -ms-transform: scale(1.2);
        transform: scale(1.2);
      }

      @media (max-width: 768px) {
        transition: none;

        &:hover {
          transform: none;
        }
      }
    }
  }
}

.section_reviews {
  .reviews-slider {
    .multiple-items {

      .slick-arrow {
        margin: 40px 0;
      }

      .arrow-hover {
        transition: all 0.5s ease;
      }

      .arrow-hover:hover {
        margin-left: 15px;
      }

      .slide {

        img {
          border-radius: 100%;
          width: 82px;
          height: 82px;
        }

        h5 {
          font-style: normal;
          font-weight: 700;
          font-size: 20px;
          line-height: 170%;
          color: #FFFFFF;
          margin-bottom: 10px;
        }

        h6 {
          font-style: italic;
          font-weight: 700;
          font-size: 16px;
          line-height: 170%;
          color: #FFFFFF;
          margin-top: 0;
          margin-bottom: 15px;
        }

        p {
          margin: 0;
          width: 80%;
          font-weight: 400;
          font-size: 16px;
          line-height: 170%;
          color: #FFFFFF;
        }
      }
    }
  }
}

// Footer

footer {
  background: #272727;
  background-size: contain;
  padding: 70px 0;

  .footer {
    display: flex;
    justify-content: center;

    .envelope {
      position: relative;
      width: 500px;
      height: 265px;

      @media (max-width: 520px) {
        width: 350px;
        height: 187px;
      }

      @media (max-width: 380px) {
        width: 350px;
        height: 187px;
      }

      .envelope__top {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        transition: 0.2s;
        transform: translateY(-100%);
        transform-origin: bottom;
      }

      .envelope__body {
        position: absolute;
        bottom: 0;
        right: 0;
        left: 0;
        width: 100%;

      }

      .paper {
        background-color: #fff;
        width: 495px;
        height: 266px;
        border-radius: 5%;
        text-align: center;
        position: absolute;
        left: 2px;
        top: 12px;
        -webkit-transform: translateY(-40px);
        transform: translateY(-40px);
        -webkit-transition: 0.2s;
        transition: 0.2s;
        bottom: 0;

        .paper-text {
          padding-top: 50px;
          font-weight: 700;
          font-size: 20px;
          line-height: 170%;
        }

        @media (max-width: 520px) {
          width: 346px;
          height: 170px;

          .paper-text {
            font-size: 15px;
            padding-top: 40px;
          }
        }
      }

      .envelope__top_close {
          transform: translateY(-110%) rotateX(180deg);
          z-index: 2;
      }

      .paper_close {
        transform: translateY(-10%);
        height: 266px;

        @media (max-width: 520px) {
          height: 170px;
        }
      }
    }
  }
}

// Модальное окно

.modal_wrapper {
  position: fixed;
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
  background: #1b1b1b;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 2;
  display: none;

  .modal {
    position: relative;
    padding: 25px;
    max-width: 350px;
    width: 100%;
    background: #1f1f1f;

    &_title {
      font-style: normal;
      font-weight: 700;
      font-size: 24px;
      line-height: 100%;
      text-align: center;
      color: #FFFFFF;
      margin-bottom: 50px;
    }

    &_close {
      position: absolute;
      right: 20px;
      top: 20px;
      }

    &_body {
      display: flex;
      justify-content: center;

      .modal_container {
        display: flex;
        flex-direction: column;

        .modal_link {
          color: #FFFFFF;
          font-weight: 700;
          font-size: 18px;
          line-height: 100%;
          align-items: center;
          transition: all 0.5s ease;

            &:hover {
              color: yellow;
            }
        }

        .modal_link:not(:last-child) {
          margin-bottom: 30px;
        }

        .git {
          position: relative;
            &:before {
              position: absolute;
              content: url('../images/gitlab.png');
              left: -60px;
              bottom: -10px;
            }

        }

        .telegram {
          position: relative;
            &:before {
              position: absolute;
              content: url('../images/telegram.png');
              left: -60px;
              bottom: -10px;
            }

        }

        .vk {
          position: relative;
            &:before {
              position: absolute;
              content: url('../images/vk.png');
              left: -60px;
              bottom: -10px;
            }

        }

        .hh {
          position: relative;
            &:before {
              position: absolute;
              content: url('../images/hh.png');
              left: -60px;
              bottom: -10px;
            }

        }

        .yandex {
          position: relative;
          &:before {
            position: absolute;
            content: url('../images/yandex.png');
            left: -60px;
            bottom: -10px;
          }
        }

        .habr {
          position: relative;
          &:before {
            position: absolute;
            content: url('../images/habr.jpeg');
            left: -60px;
            bottom: -10px;
          }
        }
      }
    }
  }
}

.modal_btn {
  display: flex;
  justify-content: center;
}


// Минимальная ширина экрана //

@media (max-width: 400px) {
  body {
    width: 400px;
  }
}


